org.apache.synapse.transport.netty.config

## Class SourceConfiguration

- java.lang.Object
- - org.apache.synapse.transport.netty.config.BaseConfiguration
  - - org.apache.synapse.transport.netty.config.SourceConfiguration

-     public class SourceConfiguration
      extends BaseConfiguration

  This class stores the configurations specific to the Listener.

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.transport.netty.config.BaseConfiguration

      `configurationContext, preserveHttpHeaders, preserveServerHeader, preserveUserAgentHeader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceConfiguration(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportInDescription inDescription, Scheme scheme, java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build()`
    `java.lang.String` | `getHost()`
    `HttpGetRequestProcessor` | `getHttpGetRequestProcessor()`
    `org.apache.axis2.description.TransportInDescription` | `getInDescription()`
    `java.util.List<org.apache.synapse.commons.handlers.MessagingHandler>` | `getMessagingHandlers()`
    `int` | `getPort()`
    `java.lang.String` | `getProtocol()`
    `Scheme` | `getScheme()`
    `void` | `setHost(java.lang.String host)`
    `void` | `setMessagingHandlers(java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandlers)`
    `void` | `setPort(int port)`
    `void` | `setProtocol(java.lang.String protocol)`
    `void` | `setScheme(Scheme scheme)`

    - ### Methods inherited from class org.apache.synapse.transport.netty.config.BaseConfiguration

      `getConfigurationContext, getPreserveHttpHeaders, getWorkerPool, isPreserveHttpHeader, populatePreserveHTTPHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceConfiguration

          public SourceConfiguration(org.apache.axis2.context.ConfigurationContext configurationContext,
                                     org.apache.axis2.description.TransportInDescription inDescription,
                                     Scheme scheme,
                                     java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandler)

  - ### Method Detail

    - #### build

          public void build()
                     throws org.apache.axis2.AxisFault

      Overrides:
        `build` in class `BaseConfiguration`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### getHost

          public java.lang.String getHost()

    - #### setHost

          public void setHost(java.lang.String host)

    - #### getScheme

          public Scheme getScheme()

    - #### setScheme

          public void setScheme(Scheme scheme)

    - #### getHttpGetRequestProcessor

          public HttpGetRequestProcessor getHttpGetRequestProcessor()

    - #### getMessagingHandlers

          public java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> getMessagingHandlers()

    - #### setMessagingHandlers

          public void setMessagingHandlers(java.util.List<org.apache.synapse.commons.handlers.MessagingHandler> messagingHandlers)

    - #### getProtocol

          public java.lang.String getProtocol()

    - #### setProtocol

          public void setProtocol(java.lang.String protocol)

    - #### getInDescription

          public org.apache.axis2.description.TransportInDescription getInDescription()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.